Bug 1435 - Please allow UDP to be disabled separately upstream and downstream
Please allow UDP to be disabled separately upstream and downstream
Status: RESOLVED FIXED
Product: unbound
Classification: Unclassified
Component: server
1.6.4
Other All
: P5 enhancement
Assigned To: unbound team
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-06 19:15 CEST by Sara Dickinson
Modified: 2017-09-18 12:27 CEST (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sara Dickinson 2017-09-06 19:15:29 CEST
Currently the do_udp flag disables UDP service both upstream and downstream. However there may be cases where it might be desirable to have only DNS-over-TLS service downstream but UDP and TCP service upstream. Separate flags to control this behaviour would be nice.
Comment 1 Stéphane Bortzmeyer 2017-09-08 12:27:03 CEST
Indeed, it is an important issue for people who operate DNS-over-TLS servers.
Comment 2 Wouter Wijngaards 2017-09-13 09:59:27 CEST
Sure thing, I never imagined this option would be necessary.

Best regards, Wouter
Comment 3 Wouter Wijngaards 2017-09-18 10:43:06 CEST
Hi,

Implemented and fixed, set do-udp: no and udp-upstream-without-downstream: yes

Best regards, Wouter
Comment 4 Sara Dickinson 2017-09-18 12:27:16 CEST
Excellent - thank you!